Bug 474567 - Scheduling remote command works on systems without provisioning entitlement
Scheduling remote command works on systems without provisioning entitlement
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Steve Salevan
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2008-12-04 08:51 EST by Thomas Cameron
Modified: 2010-10-23 02:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Cameron 2008-12-04 08:51:17 EST
Description of problem:
I am using SSM and choosing systems both with and without provisioning entitlements.  I went to SSM/Provisioning/Remote Command and scheduled a remote command.  In this case, it was just "touch /tmp/marker"

When I click the Schedule Remote Command button, only the system with the provisioning entitlement shows up in the list to confirm.  However, next time rhn_check runs on the system with only management and not provisioning, it does execute the remote command and /tmp/marker is created.

Note that as part of installation, all of my systems are subscribed to the Red "Hat Network Tools" child channel and I do install rhncfg, rhncfg-actions and rhncfg-client.  Clients also run rhn-actions-control --enable-all as part of the installation.

It seems that even if the clients are configured for everything, the server should not allow provisioning tasks to run on systems without provisioning entitlements.

Version-Release number of selected component (if applicable):
RHN Satellite 5.2.0 i386
RHEL 4.7 i386
up2date -u has been run and both the OS and RHN Satellite are up to date as of 4 December 2008
Comment 1 Todd Warner 2009-02-27 08:03:31 EST
Additionally, I think we should investigate whether we want to keep Remote Commands as a provisioning only feature.
Comment 4 Devan Goodwin 2009-04-21 15:17:41 EDT
Fixed in spacewalk.git by resurrecting a line that was commented out almost four years ago for bug #162627. Tested the verification steps in that bug and all appears well after bringing back this part of the commented out code.

spacewalk.git: 6ffe2b3c4251f692e274da9693a86167180f60e6

satellite.git: 5eb9a648d4140d1553e4460d444b44892fd75deb
Comment 5 Steve Salevan 2009-05-15 15:55:53 EDT
Tested and VERIFIED on 5/7 ISO.
Comment 7 Brandon Perkins 2009-09-10 16:31:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.